%define module_name	drm
%define module_release	alt2.M30.1.132620.11
%define module_version	2005.07.22

%define kversion	2.6.12
%define krelease	alt11
%define flavour		std26-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/char/drm

%define drm_modules	savage.o via.o tdfx.o r128.o radeon.o mga.o sis.o mach64.o i830.o i810.o i915.o

%if "%kversion" <= "2.6.0"
%define build_dir linux
%else
%define build_dir linux-core
%endif

Summary:	The Direct Rendering Infrastructure modules
Name:		kernel-modules-drm-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0: 00_drm-debug-rights.patch

ExclusiveOS:	Linux
URL:		http://dri.sourceforge.net/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-drm-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Conflicts: kernel-modules-drm-via-%kversion-%flavour-%krelease

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
The Direct Rendering Infrastructure, also known as the DRI, is a framework
for allowing direct access to graphics hardware in a safe and efficient
manner.  It includes changes to the X server, to several client libraries,
and to the kernel.  The first major use for the DRI is to create fast
OpenGL implementations.

These are modules for your ALT Linux system

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
# SMP build does not work
make -C %build_dir LINUXDIR=%_usrsrc/linux-%kversion-%flavour MACHINE=i386

%install
cd %build_dir
mkdir -p $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
    cp -a %drm_modules $RPM_BUILD_ROOT/%module_dir
%else
    cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif

mkdir -p \
    $RPM_BUILD_ROOT/%_prefix/include/linux-%kversion-%flavour/include/drm
%__install -p -m644 drm*.h $RPM_BUILD_ROOT/%_prefix/include/linux-%kversion-%flavour/include/drm/


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt2.M30.1.132620.11
- Fixed broken Release field format.

* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt2.132620.11.M30.1
- Added:
  + 00_drm-debug-rights.patch: fix permissions for 'debug' parameter in sysfs
    (CAN-2005-3179)

* Tue Aug 09 2005 Anton D. Kachalov <mouse@altlinux.org> 2005.07.22-alt2.132620.11
- Added x86_64 arch to ExclusiveArch

* Fri Jul 22 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt1.132620.11
- DRI CVS snapshot from 2005.07.22.  Should fix sysfs warnings and oopses on
  suspend; also fixes i810 init failure
  (https://bugs.freedesktop.org/show_bug.cgi?id=3552).
- Removed realtime-preempt compatibility patch (moved to kernel-source-drm).

* Mon Jul 18 2005 LAKostis <lakostis at altlinux.ru> 2005.05.30-alt2.132620.11
- fix compilation with realtime-preempt.

* Mon May 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.30-alt1.132620.11
- DRI CVS snapshot from 2005.05.30 (fixes #6872).

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1.132620.11
- DRI CVS snapshot from 2005.05.13 (release versions don't compile for 2.6.11).
- Removed kernel-headers-drm-%%flavour subpackage which was useless and broken.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 6.8.2-alt1.132620.11
- Version 6.8.2.

* Wed Dec 15 2004 Sergey Vlasov <vsu@altlinux.ru> 6.8.1.99-alt1.132620.11
- Version 6.8.1.99.

* Tue Nov 16 2004 Sergey Vlasov <vsu@altlinux.ru> 6.8.1-alt3.132620.11
- Rebuild with new kernel-source-drm-6.8.1-6.8.1-alt16.

* Wed Nov 10 2004 Sergey Vlasov <vsu@altlinux.ru> 6.8.1-alt2.132620.11
- Updated for new kernel-source-drm-6.8.1-6.8.1-alt14.
- %%prep and %%descriptions cleanup in spec.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 6.8.1-alt1.132620.11
- Version 6.8.1 (xorg-x11).
- Added Conflicts: kernel-modules-drm-via-%%kversion-%%flavour-%%krelease to
  avoid duplicate modules.

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt7.132620.11
- Fixed build with kernel 2.6.8.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt6.132620.11
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Wed Jun 30 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt5.132620.11
- Removed 2.6.7 fix patch (moved to kernel-source-drm-4.4.0).
- Added new PCI IDs to radeon and r128 drivers (backport from
  dri.sourceforge.net CVS HEAD).

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt4.132620.11
- Fixed build with kernel 2.6.7.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt3.132620.11
- Rebuild for kernel 2.4.26.

* Tue Mar 23 2004 Anton Farygin <rider@altlinux.ru> 4.4.0-alt2.132620.11
- fixed build for kernel 2.6

* Wed Mar 17 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt1.132620.11
- Updated to 4.4.0.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 4.3.0-alt22.132620.11
- Updated for the new compiler version selection scheme (GCC_VERSION).
- Spec file cleanup.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 4.3.0-alt21.132620.11
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 4.3.0-alt20.132620.11
- Fixed installed file list.
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 4.3.0-alt19.132620.11
- added buildrequires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt18
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt17
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt16
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt15
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt14
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt13
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt12
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt11
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt10
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt9
- rebuilt with 2.4.21rel-alt5

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt8
- rebuilt with 2.4.21rel-alt3
- don't build gamma.o

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt7
- rebuilt with 2.4.21rel

* Thu May 08 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt6
- adopted new policy.

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt5
- added human readable summary and description.

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt4
- moved headers to /usr/src/linux-%{kversion}-%{flavour}/include/drm

* Tue Mar 25 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt3
- Added headers package. It is needed for building packages with external 
  drm drivers likes fglrx and NVIDIA.

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt2
- Rebuilt with vanilla 2.4.21pre5-alt0.2 kernel

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.org> 2.4.20-alt0.1
- initial release of NGKPs
